FROM quay.io/hedgedoc/hedgedoc:1.8.2-alpine

ENV DEBUG=false
ENV CMD_EMAIL=true
ENV CMD_ALLOW_EMAIL_REGISTER=true
ENV CMD_PROTOCOL_USESSL=true
ENV CMD_DOMAIN=codimd.auro.re
#ENV CMD_ALLOW_ORIGIN=['codimd.auro.re','hedgedoc.auro.re']
#ENV CMD_CSP_ENABLE=false
#ENV CMD_COOKIE_POLICY=none
ENV CMD_ALLOW_FREEURL=true
ENV CMD_LDAP_URL=ldap://10.128.0.149
ENV CMD_LDAP_BINDDN=cn=codimd,ou=service-users,dc=auro,dc=re
ENV CMD_LDAP_SEARCHBASE=cn=Utilisateurs,dc=auro,dc=re
ENV CMD_LDAP_SEARCHFILTER=(uid={{username}})
ENV CMD_LDAP_SEARCHATTRIBUTES=uid,givenName,mail
ENV CMD_LDAP_USERIDFIELD=uid
ENV CMD_LDAP_USERNAMEFIELD=uid
ENV CMD_LDAP_PROVIDERNAME=Aurore
ENV CMD_USECDN=false
ENV CMD_AUTO_VERSION_CHECK=false
